


 time_set(1)                                                     time_set(1)
                                    local



 NAME
      time_set - set local system time to time server host system time

 SYNOPSIS
      time_set <hostname>

 DESCRIPTION
      Time_set communicates with an Internet time server host using BSD
      Internet Stream Sockets.  It obtains the current system time of the
      server's system clock time as a long int in units of seconds since the
      Epoch (end of 1969). Normally the time server is a system that
      sychronizes to Master Clock time.

      time_set is designed to be used with timesrv, the host time server's
      program spawned by inetd.  Before setting your system clock with
      time_set you should kill /etc/cron, and you should restart it after
      setting local system time.   The shell script TIME_SET automates this
      process and can be safely run from a cronfile.

      time_set requires the following entry in /etc/services:

      timesrv   22375/tcp

      and the following entry in /etc/inetd.conf:

      timesrv stream tcp  nowait  root /usr/local/bin/timesrv timesrv

      Inetd must be restarted with the command: /etc/inetd -c

 EXAMPLE
           # synchronize your system clock with time server "tycho"
           time_set tycho


 AUTHOR
      time_set written by Rich Schmidt, US Naval Observatory, 1992.


 SEE ALSO
      timesrv(1), time_set(1), time(2), stime(2).














                                    - 1 -          Formatted:  June 12, 1992



